diff a/src/hotspot/share/runtime/arguments.hpp b/src/hotspot/share/runtime/arguments.hpp
--- a/src/hotspot/share/runtime/arguments.hpp
+++ b/src/hotspot/share/runtime/arguments.hpp
@@ -416,10 +416,14 @@
   static const char* jvm_flags()           { return build_resource_string(_jvm_flags_array, _num_jvm_flags); }
   static const char* jvm_args()            { return build_resource_string(_jvm_args_array, _num_jvm_args); }
   static void print_jvm_flags_on(outputStream* st);
   static void print_jvm_args_on(outputStream* st);
 
+  // Parse the environment variable AOT_TOOL_OPTIONS and store the individual "initial"
+  // arguments in the GrowableArray. Each string is resource allocated
+  static jint parse_aot_tool_options_environment_variable(GrowableArray<const char*>* options);
+
   // -Dkey=value flags
   static SystemProperty*  system_properties()   { return _system_properties; }
   static const char*    get_property(const char* key);
 
   // -Djava.vendor.url.bug
